//////////////////////////////////////////////////////////////////////////// 
// 
// Copyright (C) DSTC Pty Ltd (ACN 052 372 577) 1993, 1994, 1995.
// Unpublished work.  All Rights Reserved.
// 
// The software contained on this media is the property of the
// DSTC Pty Ltd.  Use of this software is strictly in accordance
// with the license agreement in the accompanying LICENSE.DOC 
// file. If your distribution of this software does not contain 
// a LICENSE.DOC file then you have no rights to use this 
// software in any manner and should contact DSTC at the address 
// below to determine an appropriate licensing arrangement.
// 
//      DSTC Pty Ltd
//      Level 7, GP South
//      University of Queensland
//      St Lucia, 4072
//      Australia
//      Tel: +61 7 3365 4310
//      Fax: +61 7 3365 4311
//      Email: jcsi@dstc.qut.edu.au
// 
// This software is being provided "AS IS" without warranty of
// any kind.  In no event shall DSTC Pty Ltd be liable for
// damage of any kind arising out of or in connection with
// the use or performance of this software.
// 
//////////////////////////////////////////////////////////////////////////// 

package javax.net.ssl;

import java.util.Enumeration;

/**
 * <p> A SSLSessionContext is a grouping of SSLSessions associated with a
 * single entity. For example, it could be associated with a server or
 * client who participates in many sessions concurrently. This interface
 * provides methods for retrieving a SSLSession based on its ID, and
 * allows such IDs to be listed.
 *
 * @version 0.98, 98/09/10
 * @author Ming Yung
 *
 */

public interface SSLSessionContext 
{
  /**
   * Returns the SSLSession bound to the specified session id, or null if
   * the specified session id does not refer to a valid SSLSession.
   */
  public abstract SSLSession getSession(byte sessionId[]);

  /**
   * Returns an Enumeration of all session id's.
   */
  public abstract Enumeration getIds();
}
